------------------------------------------------------------------------------------
--Name:  	juqing3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-05-06
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(388, 556)
local npc_0 = CppScriptMgr:AddSimplePlayer(1059260, 390, 548, "", 0, 0)
npc_0:WalkTo(390, 568)
local npc_1 = CppScriptMgr:AddSimplePlayer(1056420, 382, 547, "", 0, 0)
npc_1:WalkTo(382, 563)
local npc_2 = CppScriptMgr:AddSimplePlayer(1059160, 385, 552, "", 0, 0)
npc_2:WalkTo(385, 572)
npc_2:Say("Wow! The crystal dome in Castle Zone sparkles like diamond waterfalls!", 2500)
local npc_3 = CppScriptMgr:AddSimplePlayer(1056520, 384, 544, "", 0, 0)
npc_3:WalkTo(384, 564)
local npc_4 = CppScriptMgr:AddSimplePlayer(1062330, 387, 570, "", 0, 0)
npc_4:WalkTo(390, 547)
npc_4:Say("This is our first visit. I hope it isn`t disappointing.", 2500)
local npc_5 = CppScriptMgr:AddSimplePlayer(1055452, 392, 560, "", 0, 0)
npc_5:SetDir(2)
npc_5:SetArmor(184365, 0, 1)
npc_5:SetHair(37, 1)
npc_5:SetZoomPercent(130)
npc_5:SetAction(101)
npc_5:Say("The park is finally on track! Time to upgrade my uniform!", 2500)
CppScriptMgr:WaitMilSec(130)
local effect_0 = CppScriptMgr:AddEffect("777_getbonus", 387, 569, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(870)
local effect_1 = CppScriptMgr:AddEffect("777_getbonus", 389, 560, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(750)
npc_1:Say("That performance was absolutely amazing!", 3000)
CppScriptMgr:WaitMilSec(590)
local effect_2 = CppScriptMgr:AddEffect("777_getbonus", 387, 569, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(970)
local effect_3 = CppScriptMgr:AddEffect("777_getbonus", 389, 560, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(210)
npc_3:Say("Not bad at all. Next time I`m bringing friends!", 5000)
CppScriptMgr:WaitMilSec(1480)